Bug 466860 - Current rawhide Revisor crashes when trying to create livecd
Current rawhide Revisor crashes when trying to create livecd
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 03:35 EDT by Dave Russell
Modified: 2009-01-31 20:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 20:38:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Russell 2008-10-14 03:35:18 EDT
Description of problem:
Revisor currently crashes horribly when attempting to create a livecd image.

Version-Release number of selected component (if applicable):
revisor-2.1.2-2.fc10.noarch
Machine is a currently up to date rawhide box based on an installation of F10 Beta.

How reproducible:
Every time.

Steps to Reproduce:
1.Attempt to create a livecd image based on the publicly available livecd-fedora-minimal.ks
2.Perform whatever option changes you require (packages, config etc)
3.Begin image creation
4.Watch revisor crash
  
Actual results:
gdb backtrace

Expected results:
revisor image

Additional info:

Here's a copy of the logs when starting revisor from the commandline:

Extending sparse file /var/tmp/revisor-rundir/tmp-/ext3fs.img to 858716702
Losetup add /dev/loop1 mapping to /var/tmp/revisor-rundir/tmp-/ext3fs.img
Formating ext3 filesystem on /dev/loop1
mke2fs 1.41.2 (02-Oct-2008)
Filesystem label=fedora-20081014
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
52416 inodes, 209647 blocks
2096 blocks (1.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=218103808
7 block groups
32768 blocks per group, 32768 fragments per group
7488 inodes per group
Superblock backups stored on blocks: 
	32768, 98304, 163840

Writing inode tables: done                            
Creating journal (4096 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 24 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
Tuning filesystem on /dev/loop1
tune2fs 1.41.2 (02-Oct-2008)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Extending sparse file /var/tmp/revisor-rundir/tmp-/ext3fs.img to 858716702
Mounting /dev/loop1 at /var/tmp/revisor
*** glibc detected *** /usr/bin/python2: munmap_chunk(): invalid pointer: 0x097da2b0 ***
======= Backtrace: =========
/lib/libc.so.6[0xab66c4]
/lib/libglib-2.0.so.0(g_free+0x36)[0x493746]
/lib/libgio-2.0.so.0(g_unix_mount_point_free+0x28)[0x720f9a8]
/lib/libglib-2.0.so.0(g_list_foreach+0x27)[0x488a07]
/lib/libgio-2.0.so.0[0x72124af]
/lib/libgio-2.0.so.0[0x72126d1]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x8b9964]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x8ac1db]
/lib/libgobject-2.0.so.0[0x8c2625]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7dc)[0x8c3d3c]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x8c41b6]
/lib/libgio-2.0.so.0[0x72103dd]
/lib/libgio-2.0.so.0[0x721e18a]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x8ac1db]
/lib/libgobject-2.0.so.0[0x8c2625]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7dc)[0x8c3d3c]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x8c41b6]
/lib/libgio-2.0.so.0[0x71f8716]
/lib/libglib-2.0.so.0[0x4892e1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x48b218]
/lib/libglib-2.0.so.0[0x48e8c3]
/lib/libglib-2.0.so.0(g_main_context_iteration+0x71)[0x48ea81]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_iteration_do+0x33)[0x5309163]
/usr/lib/python2.5/site-packages/gtk-2.0/gtk/_gtk.so[0xf3de03]
/usr/lib/libpython2.5.so.1.0(PyCFunction_Call+0x149)[0x6135af9]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5920)[0x6185cf0]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5e86)[0x6186256]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0[0x6121376]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6101397]
/usr/lib/libpython2.5.so.1.0[0x6108878]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6101397]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x617f6fc]
/usr/lib/python2.5/site-packages/rpm/_rpmmodule.so[0x18ca28]
/usr/lib/librpm-4.6.so(rpmtsNotify+0xf8)[0xd7d9d8]
/usr/lib/librpm-4.6.so(rpmtsRun+0x5c7)[0xd84bd7]
/usr/lib/python2.5/site-packages/rpm/_rpmmodule.so[0x18c6ed]
/usr/lib/libpython2.5.so.1.0(PyCFunction_Call+0x149)[0x6135af9]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5920)[0x6185cf0]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5e86)[0x6186256]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5e86)[0x6186256]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x646d)[0x618683d]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5e86)[0x6186256]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x6187965]
/usr/lib/libpython2.5.so.1.0[0x6121376]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6101397]
/usr/lib/libpython2.5.so.1.0[0x6108878]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6101397]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x617f6fc]
/usr/lib/libpython2.5.so.1.0(PyObject_CallObject+0x2c)[0x61022ec]
/usr/lib/python2.5/site-packages/gtk-2.0/gobject/_gobject.so[0x72db0e]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x8ac1db]
/lib/libgobject-2.0.so.0[0x8c2625]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7dc)[0x8c3d3c]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00114000 r-xp 00000000 fd:00 6956700    /usr/lib/python2.5/lib-dynload/timemodule.so
00114000-00116000 rw-p 00002000 fd:00 6956700    /usr/lib/python2.5/lib-dynload/timemodule.so
00116000-0011a000 r-xp 00000000 fd:00 6955797    /usr/lib/python2.5/lib-dynload/stropmodule.so
0011a000-0011c000 rw-p 00004000 fd:00 6955797    /usr/lib/python2.5/lib-dynload/stropmodule.so
0011c000-0011f000 r-xp 00000000 fd:00 6956687    /usr/lib/python2.5/lib-dynload/cStringIO.so
0011f000-00120000 rw-p 00003000 fd:00 6956687    /usr/lib/python2.5/lib-dynload/cStringIO.so
00120000-00125000 r-xp 00000000 fd:00 6955774    /usr/lib/python2.5/lib-dynload/collectionsmodule.so
00125000-00126000 rw-p 00005000 fd:00 6955774    /usr/lib/python2.5/lib-dynload/collectionsmodule.so
00126000-00129000 r-xp 00000000 fd:00 6955756    /usr/lib/python2.5/lib-dynload/_localemodule.so
00129000-0012a000 rw-p 00003000 fd:00 6955756    /usr/lib/python2.5/lib-dynload/_localemodule.so
0012a000-00130000 r-xp 00000000 fd:00 6955788    /usr/lib/python2.5/lib-dynload/operator.so
00130000-00131000 rw-p 00006000 fd:00 6955788    /usr/lib/python2.5/lib-dynload/operator.so
00131000-00137000 r-xp 00000000 fd:00 6956681    /usr/lib/python2.5/lib-dynload/_struct.so
00137000-00138000 rw-p 00006000 fd:00 6956681    /usr/lib/python2.5/lib-dynload/_struct.so
00138000-00139000 r-xp 00000000 fd:00 6963417    /usr/lib/python2.5/site-packages/rhpl/iconv.so
00139000-0013a000 rw-p 00001000 fd:00 6963417    /usr/lib/python2.5/site-packages/rhpl/iconv.so
0013a000-0013e000 r-xp 00000000 fd:00 6955804    /usr/lib/python2.5/lib-dynload/zlibmodule.so
0013e000-0013f000 rw-p 00004000 fd:00 6955804    /usr/lib/python2.5/lib-dynload/zlibmodule.so
0013f000-00140000 r-xp 00000000 fd:00 6963403    /usr/lib/python2.5/site-packages/rhpl/_translate.so
00140000-00141000 rw-p 00000000 fd:00 6963403    /usr/lib/python2.5/site-packages/rhpl/_translate.so
00141000-00144000 r-xp 00000000 fd:00 6955795    /usr/lib/python2.5/lib-dynload/selectmodule.so
00144000-00145000 rw-p 00002000 fd:00 6955795    /usr/lib/python2.5/lib-dynload/selectmodule.so
00145000-00147000 r-xp 00000000 fd:00 6955779    /usr/lib/python2.5/lib-dynload/fcntlmodule.so
00147000-00148000 rw-p 00002000 fd:00 6955779    /usr/lib/python2.5/lib-dynload/fcntlmodule.so
00148000-0014c000 r-xp 00000000 fd:00 6955769    /usr/lib/python2.5/lib-dynload/binascii.so
0014c000-0014d000 rw-p 00004000 fd:00 6955769    /usr/lib/python2.5/lib-dynload/binascii.so
0014d000-00150000 r-xp 00000000 fd:00 6955785    /usr/lib/python2.5/lib-dynload/mathmodule.so
00150000-00151000 rw-p 00002000 fd:00 6955785    /usr/lib/python2.5/lib-dynload/mathmodule.so
00151000-00153000 r-xp 00000000 fd:00 6955760    /usr/lib/python2.5/lib-dynload/_randommodule.so
00153000-00154000 rw-p 00002000 fd:00 6955760    /usr/lib/python2.5/lib-dynload/_randommodule.so
00154000-0017a000 r-xp 00000000 fd:00 6963898    /usr/lib/python2.5/site-packages/selinux/_selinux.so
0017a000-0017d000 rw-p 00025000 fd:00 6963898    /usr/lib/python2.5/site-packages/selinux/_selinux.so
0017d000-00194000 r-xp 00000000 fd:00 6963756    /usr/lib/python2.5/site-packages/rpm/_rpmmodule.so
00194000-00196000 rw-p 00016000 fd:00 6963756    /usr/lib/python2.5/site-packages/rpm/_rpmmodule.so
00196000-002c4000 r-xp 00000000 fd:00 8323503    /lib/libdb-4.5.so
002c4000-002c7000 rw-p 0012e000 fd:00 8323503    /lib/libdb-4.5.so
002c7000-002ff000 r-xp 00000000 fd:00 8323940    /lib/libsoftokn3.so
002ff000-00300000 rw-p 00037000 fd:00 8323940    /lib/libsoftokn3.so
00300000-0033f000 r-xp 00000000 fd:00 8323936    /lib/libfreebl3.so
0033f000-00340000 rw-p 0003e000 fd:00 8323936    /lib/libfreebl3.so
00340000-0034b000 r-xp 00000000 fd:00 8323258    /lib/libnss_files-2.8.90.so
0034b000-0034c000 r--p 0000a000 fd:00 8323258    /lib/libnss_files-2.8.90.so
0034c000-0034d000 rw-p 0000b000 fd:00 8323258    /lib/libnss_files-2.8.90.so
0034d000-00357000 r-xp 00000000 fd:00 6955762    /usr/lib/python2.5/lib-dynload/_socketmodule.so
00357000-0035a000 rw-p 0000a000 fd:00 6955762    /usr/lib/python2.5/lib-dynload/_socketmodule.so
0035a000-0035d000 r-xp 00000000 fd:00 6956680    /usr/lib/python2.5/lib-dynload/_ssl.so
0035d000-0035e000 rw-p 00003000 fd:00 6956680    /usr/lib/python2.5/lib-dynload/_ssl.so
0035e000-00371000 r-xp 00000000 fd:00 8323340    /lib/libresolv-2.8.90.so
00371000-00372000 r--p 00012000 fd:00 8323340    /lib/libresolv-2.8.90.so
00372000-00373000 rw-p 00013000 fd:00 8323340    /lib/libresolv-2.8.90.so
00373000-00375000 rw-p 00373000 00:00 0 
00375000-00386000 r-xp 00000000 fd:00 6956686    /usr/lib/python2.5/lib-dynload/cPickle.so
00386000-00387000 rw-p 00010000 fd:00 6956686    /usr/lib/python2.5/lib-dynload/cPickle.so
00387000-0038d000 r-xp 00000000 fd:00 6955783    /usr/lib/python2.5/lib-dynload/itertoolsmodule.so
0038d000-0038f000 rw-p 00006000 fd:00 6955783    /usr/lib/python2.5/lib-dynload/itertoolsmodule.so
0038f000-00391000 r-xp 00000000 fd:00 6955753    /usr/lib/python2.5/lib-dynload/_hashlib.so
00391000-0039747b141d-85ea-b897-3a378d70-6ab513a3 is dumped

** (revisor:3686): WARNING **: Couldn't run bug-buddy
Comment 1 Dave Russell 2008-10-14 04:00:11 EDT
Additional note, the initial bug report was for just building a livecd.

If I just try to build install cd media then I get the following during the build:

/usr/lib/python2.5/site-packages/revisor/modgui/load_kickstart.py:185: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  self.dialog_filechooser.destroy()
Got an error from /usr/bin/xsltproc (return code 4)

However, the image does actually build. So, install media works, livecd doesn't.
Comment 2 Bug Zapper 2008-11-25 22:50:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeroen van Meeuwen 2008-12-02 06:46:40 EST
Please see if the update pending for Fedora 10 solves the problem; https://admin.fedoraproject.org/updates/revisor-2.1.3-1.fc10
Comment 4 Fedora Admin XMLRPC Client 2009-01-31 19:06:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Jeroen van Meeuwen 2009-01-31 20:38:42 EST
I'm assuming this is resolved by lack of customer response, and given the tests I've run myself (with positive outcome)

Note You need to log in before you can comment on or make changes to this bug.